#include "std.h"
#include "Malical.h"

const char *TYPE_TEXT[]={"NIL","STRING","NUMBER","REFERENCE"};
extern SIGNVALUE SignValue[];
extern jmp_buf jump;

int exit (int icode)
{
	longjmp( jump, 1 );
}

int MalicalError (const char *msg)
{
	unsigned int key;

	fullprintf("Error:\n%s\nLine:\n\"%s\"", msg, line );
	while( 1 )		GetKey( &key );
}
int MalicalTokenError ()
{
	unsigned int key;

	fullprintf("Illegal token:\n%s\nLine:\n\"%s\"",token, line );
	while( 1 )		GetKey( &key );
}
int MalicalTypeError (Type t1,Type t2,SIGN s)
{
	unsigned int key;

	fullprintf ("Type error:\n[%s %s %s]\nLine:\n\"%s\"",TYPE_TEXT[t1],SignValue[s-SIGN_ADD].name,TYPE_TEXT[t2], line );
	while( 1 )		GetKey( &key );
}