#include <fxlib.h>
#include <dispbios.h>
#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#include <ctype.h>
#include <string.h>
#include <setjmp.h>
#include "revolution.h"


#define str_eq(s1,s2) (strcmp(s1,s2)==0)

// fx-io
void l_locate (int x,int y);
void DrawClearBox (int left,int top,int right,int bottom,int sel);
int fullprintf (char *cpFormat, ...);
int Printf(char *cpFormat, ...);
int PrintfRev(char *cpFormat, ...);
int PrintfXY(int x,int y,int sel,char *cpFormat, ...);
int PrintfMini(int x,int y,int sel,char *cpFormat, ...);
int PrintNum( double num );
int PrintNumXY( int x, int y, int sel, double num );
int PrintNumMini(int x,int y,int sel,double num);
void DrawCircle( int x, int y, int r );
void DrawPicture( int x,int y,int width,int height,int kind,int mod,unsigned char * pGraph);
char GetPressChar(int key);
int InputString(int x, int y, char *c,int len);

// file
#define N_LINE 6
#define FILENAMEMAX 13

typedef struct 
{
	char filename[FILENAMEMAX];
	unsigned long filesize;
}Files;

FONTCHARACTER * CharToFont(const char *cFileName,FONTCHARACTER *fFileName);
char * FontToChar(const FONTCHARACTER *fFileName,char *cFileName);
int IsMclFile( FONTCHARACTER *find_name );
int ReadFile( FONTCHARACTER  *find_path );
int SelectFile (char * file_name);
int filecmp( const void *p1, const void *p2 );
