#include "Malical.h"
#include "std.h"

int ac_break = 0;

////////////////////////////
//           Type
////////////////////////////
int issign (int c)
{
	if (c=='<' || c=='>' || c=='=' || c=='^' ||
		c=='+' || c=='-' || c=='*' || c=='/' ||
		c==':' || c=='!' || c=='%')
		return 1;
	else 
		return 0;
}
//////////////////////////////
//         Get Token
//////////////////////////////
int GetToken (char *context,int p,TOKEN_TYPE *type)
{
	int b;char c;
	for (;context[p];++p)
	{
		if (isspace(context[p]))continue;
		else break;
	}
	b = p;
	c = context[p];
	token[0] = 0;
	if (c=='(' || c==')')
	{
		token[0] = context[p];
		token[1] = 0;
		*type=TT_SIGN;
		p++;
		return p;
	}
	else if (c=='[' || c==']')
	{
		token[0] = context[p];
		token[1] = 0;
		*type= c=='[' ? TT_BK_L : TT_BK_R;
		p++;
		return p;
	}
	else if (c=='{' || c=='}')
	{
		token[0] = context[p];
		token[1] = 0;
		*type= c=='{' ? TT_BRACE_L : TT_BRACE_R;
		p++;
		return p;
	}
	else if (c=='\"')
	{
		p++;
		b = p;
		while(context[p] && context[p]!='\"')
		{
			token[p-b] = context[p];
			p++;
		}
		token[p-b] = 0;     /**/
		p++;
		*type = TT_STR;
		return p;
	}
	else if (isdigit(c))
	{
		int dot = 0;
		do
		{
			token[p-b] = context[p];
			if (context[p]=='.') if (dot) break;else dot=1;
			p++;
		}while(context[p] && (isdigit(context[p])||context[p]=='.'));
		token[p-b] = 0;
		*type = TT_NUM;
		return p;
	}
	else if (isalpha(c) || c=='_')
	{
		do
		{
			token[p-b] = context[p];
			p++;
		}while(context[p] && (isalnum(context[p]) || context[p]=='_'));
		token[p-b] = 0;
		*type = TT_SYM;
		if (SignToValue(token)!=-1)
			*type = TT_SIGN;
		else if (str_eq(token,"nil"))
			*type = TT_NIL;
		return p;
	}
	else if (issign(c))
	{
		do
		{
			token[p-b] = context[p];
			p++;
		}while(context[p] && issign(context[p]));
		token[p-b] = 0;
		*type = TT_SIGN;
		return p;
	}
	if (token[0]==0)	return -1;
	else				return p;
}


int Match (char *text,char *find,TOKEN_TYPE type,int pl)
{
	int t;
	pl = GetToken(text,pl,&t);
	if (type)
	{
		if (type!=t) MalicalTokenError();
	}
	else
	{
		if (! str_eq(token,find)) MalicalTokenError();
	}
	return pl;
}

int GetTokenE (char *text,char l,char r,int pl)
{
	int count=0,b;
	int in_str = 0;
	for (;text[pl];++pl)
	{
		if (isspace(text[pl]))continue;
		else break;
	}
	if(text[pl]!=l)return -1;
	pl++;
	b = pl;
	while(text[pl])
	{
		if (text[pl]=='\"') in_str = !in_str;
		if (!in_str)
		{
			if		(text[pl]==l) count++;
			else if	(text[pl]==r)
			{
				if (count==0)break;
				count--;
			}
		}
		token[pl-b] = text[pl];
		pl++;
		token[pl-b] = 0;
	}
	return ++pl;
}
int GetLine(char *text,int p)
{
	int e = 0;
	int in_str = 0;
	char * l = line;

	while(text[p])
	{
		if (text[p]=='\"') in_str = !in_str;
		if (!in_str)
		{
			if (text[p]=='#') e=1;
			if (!e && text[p]==';') break;
		}
		if (text[p]=='\n')
				break;
		if (!e) *l++=text[p];
		++p;
	}
	*l = '\0';
	return ++p;
}

int LineEmpty (int p)
{
	int t;
	if (line[p]==0) return 1;
	else
	{
		int r=GetToken(line,p,&t);
		if(r==-1) return 1;
		else return 0;
	}
}